ITEMS = {
	[0] = {
		name = ""
	}, 

	[1] = {
		name = "Maa", 
		article = "an", 
		desc = "Faz bem.", 
		r = 255, g = 0, b = 0, 
		action = "eat", 
		food = function() return math.random(10,20) end, 
		fimage = "gfx/weiwen/apple.png", 
		func = eat,
	}, 

	[2] = {
		name = "Tocha",
		plural = "tochas", 
		desc = "Allows you to see clearly in the dark.",
		r = 191, g = 213, b = 128,
		action = "hold", 
		slot = 8, 
		fimage = "gfx/weiwen/torch.png",
		eimage = "gfx/sprites/flare3.bmp",
		escalex = 3, 
		escaley = 3, 
		blend = 1, 
		static = 1, 
		func = equip,
	}, 

	[3] = {
		name = "Ampulheta", 
		plural = "ampulhetas", 
		article = "an", 
		r = 180, g = 180, b = 180, 
		action = {"wear","check time"}, 
		slot = 8, 
		func = {equip, function(id) msg2(id,ITEMS[3].desc) end},
	},
	
	[4] = {
		name = "cheese", 
		desc = "Diretamente feito com um decilioso leite.", 
		r = 255, g = 255, b = 0, 
		action = "eat", 
		food = function() return math.random(10,20) end, 
		fimage = "gfx/weiwen/cheese.png", 
		func = eat,
	}, 

	[5] = {
		name = "pizza", 
		desc = "Certamente a melhor pizza da italia, de mussarela.", 
		action = "eat", 
		food = function() return math.random(25,50) end, 
		fimage = "gfx/weiwen/pizza.png", 
		func = eat,
	},

	[100] = {
		name = "ember rune", 
		desc = "Voc s pode us-lo uma vez.", 
		r = 128, g = 0, b = 0, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id,itemslot,itemid,equip)
			radiusmsg(player(id,"name") .. " casts a fireball rune.", player(id,"x"), player(id,"y"))
			explosion(player(id, "x"), player(id,"y"), 64, 15, id)
			local pos = player(id,"x") .. " " .. player(id,"y")
			parse("effect \"colorsmoke\" " .. pos .. " 100 64 255 128 0;")
			parse("effect \"colorsmoke\" " .. pos .. " 75 64 255 0 0")
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[101] = {
		name = "water gun rune", 
		desc = "Voc s pode us-lo uma vez.", 
		r = 128, g = 128, b = 255, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id,itemslot,itemid,equip)
			radiusmsg(player(id,"name") .. " casts a waterball rune.", player(id,"x"), player(id,"y"))
			explosion(player(id, "x"), player(id,"y"), 64, 15, id)
			local pos = player(id,"x") .. " " .. player(id,"y")
			parse("effect \"colorsmoke\" " .. pos .. " 100 64 255 255 255")
			parse("effect \"colorsmoke\" " .. pos .. " 75 64 128 128 255")
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[102] = {
		name = "healing rune", 
		desc = "Voc s pode us-lo uma vez.", 
		r = 128, g = 255, b = 255, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id,itemslot,itemid,equip)
			radiusmsg(player(id,"name") .. " casts a healing rune.", player(id,"x"), player(id,"y"))
			explosion(player(id, "x"), player(id,"y"), 32, -30, id)
			local pos = player(id,"x") .. " " .. player(id,"y")
			parse("effect \"colorsmoke\" " .. pos .. " 5 5 128 255 255")
			radiussound("materials/glass2.wav", player(id,"x"), player(id,"y"))
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[103] = {
		name = "thundershock rune", 
		desc = "Um ataque eltrico que pode paralisar o inimigo.",  
		r = 255, g = 255, b = 0, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id,itemslot,itemid,equip)
			radiusmsg(player(id,"name") .. " casts a thundershock rune.", player(id,"x"), player(id,"y"))
			explosion(player(id, "x"), player(id,"y"), 64, 15, id)
			local pos = player(id,"x") .. " " .. player(id,"y")
			parse("effect \"colorsmoke\" " .. pos .. " 100 64 255 255 0")
			parse("effect \"colorsmoke\" " .. pos .. " 75 64 255 255 255")
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[104] = {
		name = "flamethrower rune", 
		desc = "Voc s pode us-lo uma vez.", 
		r = 185, g = 25, b = 25, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id,itemslot,itemid,equip)
			radiusmsg(player(id,"name") .. " casts a firewave rune.", player(id,"x"), player(id,"y"))
			parse("equip " .. id .. " 46")
			parse("setweapon " .. id .. " 46")
			timer(1000, "parse", "strip " .. id .. " 46")
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[105] = {
		name = "teleport rune", 
		desc = "Voc s pode us-lo uma vez.", 
		r = 255, g = 255, b = 255, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id, itemslot, itemid, equip)
			radiusmsg(player(id,"name") .. " is casting a teleport rune.", player(id,"x"), player(id,"y"))
			timer(1500, "ITEMFUNCTIONS.teleport", id .. ';' .. player(id, 'health') .. ';' .. (equip and -itemslot or itemslot))
		end,equip}, 
		teleport = function(p)
			local id, health, itemslot = unpack(p:split(';'))
			id, health, itemslot = tonumber(id), tonumber(health), tonumber(itemslot)
			if player(id, 'health') == health then
				radiusmsg(player(id,"name") .. " completed casting a teleport rune.", player(id,"x"), player(id,"y"))
				parse("effect \"colorsmoke\" " .. player(id,"x") .. " " .. player(id,"y") .. " 5 5 255 255 255")
				local pos = PLAYERS[id].Spawn[1] .. " " .. PLAYERS[id].Spawn[2]
				parse("effect \"colorsmoke\" " .. pos .. " 5 5 255 255 255")
				parse("setpos " .. id .. " " .. pos)
				radiussound("materials/glass2.wav", player(id,"x"), player(id,"y"))
				destroyitem(id, math.abs(itemslot), itemslot < 0)
			else
				radiusmsg(player(id,"name") .. " failed to cast a teleport rune.", player(id,"x"), player(id,"y"))
			end
		end
	},

	[106] = {
		name = "poison fog rune", 
		desc = "Voc s pode us-lo uma vez..", 
		r = 128, g = 128, b = 0, 
		action = {"cast","hold"}, 
		slot = 9, 
		fimage = "gfx/weiwen/rune.png", 
		func = {function(id, itemslot, itemid, equip)
			radiusmsg(player(id,"name") .. " casts a poison fog rune.", player(id,"x"), player(id,"y"))
			explosion(player(id, "x"), player(id,"y"), 64, 15, id)
			local pos = player(id,"x") .. " " .. player(id,"y")
			parse("effect \"colorsmoke\" " .. pos .. " 100 96 128 128 0")
			destroyitem(id, itemslot, equip)
		end,equip},
	},

	[200] = {
		name = "Cama branca",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 255, g = 255, b = 255,
	},

	[201] = {
		name = "Cama rosa",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 255, g = 128, b = 255,
	},

	[202] = {
		name = "Cama verde",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 128, g = 192, b = 0,
	},

	[203] = {
		name = "Cama azul",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 0, g = 128, b = 192,
	},

	[204] = {
		name = "Cama vermelho escuro",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 128, g = 0, b = 0,
	},

	[205] = {
		name = "Cama verde claro",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 128, g = 255, b = 128,
	},

	[206] = {
		name = "Cama luz azul",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 128, g = 128, b = 255,
	},

	[207] = {
		name = "Cama amarela",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 255, g = 255, b = 0,
	},

	[208] = {
		name = "Cama laranja",
		article = "an",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 255, g = 128, b = 0,
	},

	[209] = {
		name = "Cama branca",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/bed.png", 
		offsety = 16,
		heal = 5, 
		r = 128, g = 64, b = 0,
	},

	[210] = {
		name = "Cadeira branca",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/chair.png", 
		r = 255, g = 255, b = 255,
		rot = 0,
		heal = 3, 
		action = "rotate|South", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-209)%4)+210; itemactions(id,itemslot) end,
	},

	[211] = {
		name = "Cadeira branca",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/chair.png", 
		r = 255, g = 255, b = 255,
		rot = 90,
		heal = 3, 
		action = "rotate|West", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-209)%4)+210; itemactions(id,itemslot) end,
	},

	[212] = {
		name = "Cadeira branca",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/chair.png", 
		rot = 180,
		heal = 3, 
		r = 255, g = 255, b = 255,
		action = "rotate|North", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-209)%4)+210; itemactions(id,itemslot) end,
	},

	[213] = {
		name = "Cadeira branca",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/chair.png", 
		rot = 270,
		heal = 3, 
		r = 255, g = 255, b = 255,
		action = "rotate|East", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-209)%4)+210; itemactions(id,itemslot) end,
	},

	[214] = {
		name = "Cadeira marrom",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/chair.png", 
		r = 169, g = 106, b = 44,
		rot = 0,
		heal = 3, 
		action = "rotate|South", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-213)%4)+214; itemactions(id,itemslot) end,
	},

	[215] = {
		name = "Cadeira marrom",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/chair.png", 
		r = 169, g = 106, b = 44,
		rot = 90,
		heal = 3, 
		action = "rotate|West", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-213)%4)+214; itemactions(id,itemslot) end,
	},

	[216] = {
		name = "Cadeira marrom",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/chair.png", 
		rot = 180,
		heal = 3, 
		r = 169, g = 106, b = 44,
		action = "rotate|North", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-213)%4)+214; itemactions(id,itemslot) end,
	},

	[217] = {
		name = "Cadeira marrom",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/chair.png", 
		rot = 270,
		heal = 3, 
		r = 169, g = 106, b = 44,
		action = "rotate|East", 
		func = function(id,itemslot,itemid) PLAYERS[id].Inventory[itemslot] = ((itemid-213)%4)+214; itemactions(id,itemslot) end,
	},

	[218] = {
		name = "Mesa branca",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/table.png", 
		r = 255, g = 255, b = 255,
	},

	[219] = {
		name = "Mesa marrom",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/table.png", 
		r = 169, g = 106, b = 44,
	},

	[220] = {
		name = "pikachu doll",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/pokemon/25.png", 
	},

	[221] = {
		name = "bulbasaur doll",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/pokemon/1.png", 
	},

	[222] = {
		name = "charmander doll",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/pokemon/4.png", 
	},

	[223] = {
		name = "squirtle doll",
		desc = "Used to furnish your house.",
		fimage = "gfx/weiwen/pokemon/7.png", 
	},
	
	[230] = {
		name = "coin", 
		desc = "Heads or tails?", 
		r = 255, g = 200, b = 0, 
		action = "flip", 
		fimage = "gfx/weiwen/circle.png", 
		func = function(id,itemslot,itemid)
			if PLAYERS[id].tmp.exhaust.use then
				return
			end
			PLAYERS[id].tmp.exhaust.use = true
			timer(CONFIG.EXHAUST.USE, rem.useExhaust, id)
			radiusmsg(player(id,"name") .. " flips a coin. " .. ((math.random(2) == 1) and "Heads!" or "Tails!"), player(id,"x"), player(id,"y"))
		end,
	}, 
	
	[231] = {
		name = "dice", 
		desc = "1d6.",
		r = 255, g = 192, b = 128, 
		action = "roll", 
		fimage = "gfx/weiwen/table.png", 
		fscalex = 0.5, 
		fscaley = 0.5, 
		func = function(id,itemslot,itemid)
			if PLAYERS[id].tmp.exhaust.use then
				return
			end
			PLAYERS[id].tmp.exhaust.use = true
			timer(CONFIG.EXHAUST.USE, rem.useExhaust, id)
			radiusmsg(player(id,"name") .. " rolls a " .. math.random(1, 6) .. ".", player(id,"x"), playerw(id,"y"))
		end,
	}, 

	[300] = {
		name = "leather helmet", 
		desc = "Protect yourself from headshots!", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/helmet.png", 
		fimage = "gfx/weiwen/helmet.png", 
		def = 0.05, 
		speed = -1,
		func = equip,
	},

	[301] = {
		name = "leather torso", 
		desc = "A few holes here and there, but still usable.", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/armour.png", 
		fimage = "gfx/weiwen/farmour.png", 
		def = 0.1, 
		speed = -1,
		func = equip,
	},

	[302] = {
		name = "leather legs", 
		plural = "pairs of leather legs", 
		article = "a pair of", 
		desc = "A few holes here and there, but still usable.", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/legs.png", 
		def = 0.07, 
		speed = 1,
		func = equip,
	},

	[303] = {
		name = "leather boots", 
		plural = "pairs of leather boots", 
		article = "a pair of", 
		desc = "Waterproof.", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/boots.png",  
		speed = 2, 
		func = equip,
	},

	[304] = {
		name = "wooden sword", 
		desc = "Mostly used for training.", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 3, 
		eimage = "gfx/weiwen/sword.png", 
		fimage = "gfx/weiwen/sword.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 0.25, 
		speed = -1, 
		func = equip,
	},

	[305] = {
		name = "wooden shield", 
		desc = "Mostly used for training.", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 4, 
		eimage = "gfx/weiwen/shield.png", 
		fimage = "gfx/weiwen/fshield.png", 
		equip = 41,
		def = 0.2, 
		speed = -2, 
		func = equip,
	},

	[306] = {
		name = "wooden club", 
		desc = "Now you can be a caveman too!", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 3, 
		eimage = "gfx/weiwen/club.png", 
		fimage = "gfx/weiwen/club.png", 
		offsety = 14,
		equip = 78,
		atk = 0.35, 
		speed = -2, 
		func = equip,
	},

	[307] = {
		name = "wooden crossbow", 
		desc = "It requires you to hold it with two hands.", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 3, 
		twohand = true, 
		eimage = "gfx/weiwen/bow.png", 
		fimage = "gfx/weiwen/bow.png", 
		offsety = 9,
		equip = 34,
		atk = 0.1, 
		speed = -2.5, 
		func = equip,
	},

	[310] = {
		name = "stone helmet", 
		r = 128, g = 128, b = 128, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/helmet.png", 
		fimage = "gfx/weiwen/helmet.png", 
		def = 0.1, 
		speed = -1.5,
		level = 5, 
		func = equip,
	},

	[311] = {
		name = "stone armour", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/armour.png", 
		fimage = "gfx/weiwen/farmour.png", 
		def = 0.2, 
		speed = -1.5,
		level = 5, 
		func = equip,
	},

	[312] = {
		name = "stone leggings", 
		plural = "pairs of iron leggings", 
		article = "a pair of", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/legs.png", 
		def = 0.15, 
		speed = -0.5,
		level = 5, 
		func = equip,
	},

	[313] = {
		name = "stone boots", 
		plural = "pairs of iron boots", 
		article = "a pair of", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/boots.png",  
		def = 0.1, 
		speed = -0.5, 
		level = 5, 
		func = equip,
	},

	[314] = {
		name = "stone sword", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 3, 
		eimage = "gfx/weiwen/sword.png", 
		fimage = "gfx/weiwen/sword.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 0.5, 
		speed = -2, 
		level = 5, 
		func = equip,
	},

	[315] = {
		name = "stone shield", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 4, 
		eimage = "gfx/weiwen/shield.png", 
		fimage = "gfx/weiwen/fshield.png", 
		equip = 41,
		def = 0.4, 
		speed = -3, 
		level = 5, 
		func = equip,
	},

	[316] = {
		name = "stone mace", 
		r = 128, g = 128, b = 128,
		action = "equip", 
		slot = 3, 
		eimage = "gfx/weiwen/mace.png", 
		fimage = "gfx/weiwen/mace.png", 
		offsetx = 4, 
		offsety = 20,
		equip = 78,
		atk = 0.7, 
		speed = -3, 
		level = 5, 
		func = equip,
	},

	[320] = {
		name = "bronze helmet", 
		r = 200, g = 100, b = 0, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/helmet.png", 
		fimage = "gfx/weiwen/helmet.png", 
		def = 0.15, 
		speed = -1.3,
		level = 15, 
		func = equip,
	},

	[321] = {
		name = "bronze armour", 
		r = 200, g = 100, b = 0, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/armour.png", 
		fimage = "gfx/weiwen/farmour.png", 
		def = 0.3, 
		speed = -1.3,
		level = 15, 
		func = equip,
	},

	[322] = {
		name = "bronze leggings", 
		plural = "pairs of bronze leggings", 
		article = "a pair of", 
		r = 200, g = 100, b = 0, 
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/legs.png", 
		def = 0.2, 
		speed = -0.4,
		level = 15, 
		func = equip,
	},

	[323] = {
		name = "bronze boots", 
		plural = "pairs of bronze boots", 
		article = "a pair of", 
		r = 200, g = 100, b = 0, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/boots.png",  
		def = 0.15, 
		speed = -0.4, 
		level = 15, 
		func = equip,
	},

	[324] = {
		name = "bronze sword", 
		r = 200, g = 100, b = 0, 
		action = "equip", 
		slot = 3, 
		eimage = "gfx/weiwen/sword.png", 
		fimage = "gfx/weiwen/sword.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 0.7, 
		speed = -1.5, 
		level = 15, 
		func = equip,
	},

	[325] = {
		name = "bronze shield", 
		r = 200, g = 100, b = 0, 
		action = "equip", 
		slot = 4, 
		eimage = "gfx/weiwen/shield.png", 
		fimage = "gfx/weiwen/fshield.png", 
		equip = 41,
		def = 0.6, 
		speed = -2.5, 
		level = 15, 
		func = equip,
	},

	[326] = {
		name = "bronze mace", 
		r = 200, g = 100, b = 0, 
		action = "equip", 
		slot = 3, 
		eimage = "gfx/weiwen/mace.png", 
		fimage = "gfx/weiwen/mace.png", 
		offsetx = 4, 
		offsety = 20,
		equip = 78,
		atk = 0.9, 
		speed = -3, 
		level = 15, 
		func = equip,
	},

	[400] = {
		name = "brown horse", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 162, g = 107, b = 0, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		fimage = "gfx/weiwen/horse.png",  
		eimage = "gfx/weiwen/horse.png", 
		speed = 20, 
		def = -0.5, 
		level = 10, 
		func = equip,
	},

	[401] = {
		name = "white horse", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 255, g = 255, b = 255, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		fimage = "gfx/weiwen/horse.png",  
		eimage = "gfx/weiwen/horse.png", 
		speed = 20, 
		def = -0.5, 
		level = 10, 
		func = equip,
	},

	[402] = {
		name = "grey horse", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 175, g = 177, b = 186, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		fimage = "gfx/weiwen/horse.png",  
		eimage = "gfx/weiwen/horse.png", 
		speed = 20, 
		def = -0.5, 
		level = 10, 
		func = equip,
	},

	[403] = {
		name = "black horse", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 50, g = 50, b = 50, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		fimage = "gfx/weiwen/horse.png",  
		eimage = "gfx/weiwen/horse.png", 
		speed = 20, 
		def = -0.5, 
		level = 10, 
		func = equip,
	},

	[404] = {
		name = "seahorse", 
		desc = "You move faster with it, but are unable to attack with it. Your defence is also reduced significantly.", 
		r = 32, g = 121, b = 155, 
		action = "ride", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/horse.png",  
		eimage = "gfx/weiwen/horse.png",  
		fscalex = 1.2, 
		fscaley = 0.8, 
		escalex = 1.2, 
		escaley = 0.8, 
		offsety = 20, 
		speed = 25, 
		def = -0.5, 
		level = 10, 
		func = equip,
	},

       [405] = {
		name = "Hielo helmet", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/hielo_helm.png", 
		fimage = "gfx/weiwen/hielo_helm.png", 
		def = 0.30, 
		speed = 0,
                level = 10,
		func = equip,
	},

	[406] = {
		name = "Hielo torso", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/hielo_armour.png", 
		fimage = "gfx/weiwen/hielo_farmour.png", 
		def = 0.6, 
		speed = 0,
                level = 10,
		func = equip,
	},

	[407] = {
		name = "Hielo legs", 
		desc = "Very hielo legs", 
		article = "a pair of", 
		r = 255, g = 255, b = 255,
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/hielo_legs.png", 
		def = 0.45, 
		speed = 3,
                level = 10,
		func = equip,
	},

	[408] = {
		name = "Hielo boots", 
		desc = "Very hielo boots",
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/hielo_boots.png",  
		speed = 3, 
                level = 10,
		func = equip,
	},

	[409] = {
		name = "Hielo sword", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		eimage = "gfx/weiwen/hielo_sword.png", 
		fimage = "gfx/weiwen/hielo_sword.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 1.4, 
		speed = 0, 
                level = 10,
		func = equip,
	},

	[410] = {
		name = "Hielo shield", 
		desc = "It's procet from hielo fire.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 4, 
		eimage = "gfx/weiwen/hielo_shield.png", 
		fimage = "gfx/weiwen/hielo_fshield.png", 
		equip = 41,
		def = 0.6, 
		speed = 0, 
                level = 10,
		func = equip,
	},

	[411] = {
		name = "Hielo mace", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		eimage = "gfx/weiwen/hielo_mace.png", 
		fimage = "gfx/weiwen/hielo_mace.png", 
		offsety = 14,
		equip = 78,
		atk = 1.9, 
		speed = 0, 
		func = equip,
	},

        [412] = {
		name = "Hielo bow", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/hielo_bow.png", 
		fimage = "gfx/weiwen/hielo_bow.png", 
		offsety = 9,
		equip = 34,
		atk = 2.5, 
		speed = 2, 
                level = 10,
		func = equip,
	},

        [413] = {
		name = "Hielo wings", 
		desc = "Very light and adding speed wings.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/hielo_wings.png",  
		eimage = "gfx/weiwen/hielo_wings.png",  
		speed = 30, 
                level = 10,
		func = equip,
	},
	
        [414] = {
		name = "Diablo helmet", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/diablo_helm.png", 
		fimage = "gfx/weiwen/diablo_helm.png", 
		def = 15.0, 
		speed = 0,
		level = 30, 
		func = equip,
	},
        
	
        [415] = {
		name = "Diablo torso", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/diablo_armour.png", 
		fimage = "gfx/weiwen/diablo_farmour.png", 
		def = 30.0, 
		speed = 2.5,
		level = 30,
		func = equip,
	},

	[416] = {
		name = "Diablo legs", 
		desc = "Very diablo legs", 
		article = "a pair of", 
		r = 255, g = 255, b = 255,
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/diablo_legs.png", 
		def = 2.0, 
		speed = 3,
                level = 30,
		func = equip,
	},

	[417] = {
		name = "Diablo boots", 
		desc = "Very diablo boots",
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/dragon_boots.png",  
		speed = 6, 
                level = 30,
		func = equip,
	},
	
        [418] = {
		name = "Diablo Shield", 
		desc = "Mostly used for training.", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 4, 
		eimage = "gfx/weiwen/red_dragon_shield_e.png", 
		fimage = "gfx/weiwen/Red_dragon_Shield_d.png", 
		equip = 41,
		def = 10.0, 
		speed = 0,
                level = 30, 
		func = equip,
	},
        
        [419] = {
		name = "Diablo bow", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/diablo_bow.png",
		fimage = "gfx/weiwen/diablo_bow.png", 
		offsety = 9,
		equip = 34,
		atk = 5.0, 
		speed = 0, 
		level = 30,
		func = equip,
	},
		
        [420] = {
		name = "Diablo Wings", 
		desc = "Very Fast.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/diablo_wing.png",  
		eimage = "gfx/weiwen/diablo_wing.png",  
		speed = 50,
		def = 5.0,
		atk = 5.0,
		level = 30, 
		func = equip,	
	},

        [421] = {
		name = "Electric helmet", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/electric_helmet.png", 
		fimage = "gfx/weiwen/electric_helmet.png", 
		def = 7.5, 
		speed = -0.5,
		level = 20, 
		func = equip,
	},
        
        [422] = {
		name = "Electric torso", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/electric_armour.png", 
		fimage = "gfx/weiwen/electric_farmour.png", 
		def = 15.0, 
		speed = -1.5,
		level = 20,
		func = equip,
	},

	[423] = {
		name = "Electric legs", 
		desc = "Very magma legs", 
		article = "a pair of", 
		r = 255, g = 255, b = 255,
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/electric_legs.png", 
		def = 2.0, 
		speed = -0.5,
                level = 20,
		func = equip,
	},

	[424] = {
		name = "Electric boots", 
		desc = "Very magma boots",
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/electric_boots.png",  
		speed = 4, 
                level = 20,
		func = equip,
	},
	        
        [426] = {
		name = "Electric bow", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/electric_bow.png",
		fimage = "gfx/weiwen/electric_bow.png", 
		offsety = 9,
		equip = 34,
		atk = 2.5, 
		speed = 6, 
		level = 20,
		func = equip,
	},
		
        [427] = {
		name = "Electric Wings", 
		desc = "Very Fast.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/electric_wings.png",  
		eimage = "gfx/weiwen/electric_wings.png",  
		speed = 25,
		def = 2.5,
		atk = 2.5,
		level = 20, 
		func = equip,	
	},
        
        [428] = {
		name = "Aura Wings [5]", 
		desc = "Very Fast.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 7, 
		ground = true, 
		water = false, 
		fimage = "gfx/weiwen/eclipseaura.png",  
		eimage = "gfx/weiwen/eclipseaura.png",  
		speed = 10,
		def = 0.5,
		atk = 0.5,
		level = 5, 
		func = equip,	
	},
 
        [429] = {
		name = "Evil Wings [25]", 
		desc = "Very Fast.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/evil.png",  
		eimage = "gfx/weiwen/evil.png",  
		speed = 20,
		def = 2.0,
		atk = 2.0,
		level = 25, 
		func = equip,	
	},
 
        [430] = {
		name = "Dragon Black Wings [35]", 
		desc = "Very Fast.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/blackdragon.png",  
		eimage = "gfx/weiwen/blackdragon.png",  
		speed = 35,
		def = 5.0,
		atk = 5.0,
		level = 35, 
		func = equip,	
	},

        [431] = {
		name = "Falcao Wings [65]", 
		desc = "Very Fast.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/firebird.png",  
		eimage = "gfx/weiwen/firebird.png",  
		speed = 65,
		def = 20.0,
		atk = 20.0,
		level = 65, 
		func = equip,	
	},

        [432] = {
 		name = "Tigre Rare Wings [85]", 
		desc = "Very Fast.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/rare.png",  
		eimage = "gfx/weiwen/rare.png",  
		speed = 85,
		def = 30.0,
		atk = 30.0,
		level = 85, 
		func = equip,	
	},

        [433] = {
 		name = "Mega Wings [125]", 
		desc = "Very Fast.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/vip_wing.png",  
		eimage = "gfx/weiwen/vip_wing.png",  
		speed = 105,
		def = 50.0,
		atk = 50.0,
		level = 125, 
		func = equip,	
	},

        [434] = {
		name = "Totem bow [25]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/Laucher bow.png",
		fimage = "gfx/weiwen/Laucher bow.png", 
		offsety = 9,
		equip = 34,
		atk = 1.5, 
		speed = 6, 
		level = 20,
		func = equip,
	},
	
        [435] = {
		name = "Totem sword [25]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		eimage = "gfx/weiwen/totspear.png", 
		fimage = "gfx/weiwen/totspear.png", 
		offsetx = 6,
		offsety = 17,
		equip = 69,
		atk = 1.4, 
		speed = 0, 
                level = 20,
		func = equip,
	},

        [436] = {
		name = "Super Mega Bow [125]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/Supreme Void Bow.png",
		fimage = "gfx/weiwen/Supreme Void Bow.png", 
		offsety = 9,
		equip = 34,
		atk = 100.0, 
		speed = 100, 
		level = 125,
		func = equip,
	},

       [437] = {
 		name = "Super Mega Wings [125]", 
		desc = "Very Fast.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/adminh2.png",  
		eimage = "gfx/weiwen/adminh2.png",  
		speed = 105,
		def = 50.0,
		atk = 50.0,
		level = 120, 
		func = equip,	
	},

        [438] = {
		name = "Super Mega Helmet [125]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/g0d_helm.png", 
		fimage = "gfx/weiwen/Full_Helmet_of_the_Ancients.png", 
		def = 100.0, 
		speed = 100,
		level = 125, 
		func = equip,
	},

        [439] = {
		name = "Super Mega Torso [125]", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/vip_armor.png", 
		fimage = "gfx/weiwen/vip_farmor.png", 
		def = 100.0, 
                equip = 82,
		speed = 100,
		level = 125,
		func = equip,
	},

        [440] = {
		name = "Super Mega Shield [125]", 
		desc = "Mostly used for training.", 
		r = 128, g = 64, b = 0, 
		action = "equip", 
		slot = 4, 
		eimage = "gfx/weiwen/red_dragon_shield_e.png", 
		fimage = "gfx/weiwen/Red_dragon_Shield_d.png", 
		equip = 41,
		def = 100.0, 
		speed = 100,
                level = 125, 
		func = equip,
	},

        [441] = {
		name = "Fantasma helmet", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/fantasma_helm.png", 
		fimage = "gfx/weiwen/fantasma_helm.png", 
		def = 7.5, 
		speed = 0.5,
		level = 40, 
		func = equip,
	},
        
        [442] = {
		name = "Fantasma torso", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/fantasma_armour.png", 
		fimage = "gfx/weiwen/fantasma_farmour.png", 
		def = 25.0, 
		speed = -0.5,
		level = 40,
		func = equip,
	},

	[443] = {
		name = "Fantasma legs", 
		desc = "Very magma legs", 
		article = "a pair of", 
		r = 255, g = 255, b = 255,
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/fantasma_legs.png", 
		def = 4.0, 
		speed = 0.5,
                level = 40,
		func = equip,
	},

	[444] = {
		name = "Fantasma boots", 
		desc = "Very gron boots",
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/fantasma_boots.png",  
		speed = 25, 
                level = 40,
		func = equip,
	},

        [446] = {
		name = "Fantasma bow", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/fantasma_bow.png",
		fimage = "gfx/weiwen/fantasma_bow.png", 
		offsety = 9,
		equip = 34,
		atk = 6.5, 
		speed = 20, 
		level = 40,
		func = equip,
	},
		
        [447] = {
		name = "Fantasma Wings", 
		desc = "Very Fast.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/fantasma_wings.png",  
		eimage = "gfx/weiwen/fantasma_wings.png",  
		speed = 25,
		def = 6.5,
		atk = 6.5,
		level = 40, 
		func = equip,	
	},

        [448] = {
		name = "Reaxter helmet", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/reaxter_helm.png", 
		fimage = "gfx/weiwen/reaxter_helm.png", 
		def = 8.5, 
		speed = 0.5,
		level = 50, 
		func = equip,
	},
        
        [449] = {
		name = "Reaxter torso", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/reaxter_armour.png", 
		fimage = "gfx/weiwen/reaxter_farmour.png", 
		def = 35.0, 
		speed = 0.5,
		level = 50,
		func = equip,
	},

	[450] = {
		name = "Reaxter legs", 
		desc = "Very night legs", 
		article = "a pair of", 
		r = 255, g = 255, b = 255,
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/reaxter_legs.png", 
		def = 5.0, 
		speed = 1.5,
                level = 50,
		func = equip,
	},

	[451] = {
		name = "Reaxter boots", 
		desc = "Very night boots",
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/reaxter_boots.png",  
		speed = 35, 
                level = 50,
		func = equip,
	},
	        
        [452] = {
		name = "Reaxter bow", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/reaxter_bow.png",
		fimage = "gfx/weiwen/reaxter_bow.png", 
		offsety = 9,
		equip = 34,
		atk = 7.0, 
		speed = 30, 
		level = 50,
		func = equip,
	},
		
        [453] = {
		name = "Reaxter Wings", 
		desc = "Very Fast.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/reaxter_wings_2.png",  
		eimage = "gfx/weiwen/reaxter_wings_2.png",  
		speed = 45,
		def = 6.5,
		atk = 6.5,
		level = 50, 
		func = equip,	
	},
        
        [454] = {
		name = "Bulbsasur [20]", 
		desc = "Epic pokemon.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 8, 
		ground = true, 
		fimage = "gfx/weiwen/bulbasur.png",  
		eimage = "gfx/weiwen/bulbasur.png",  
		speed = 20,
		def = 2.5,
		atk = 2.5,
		level = 20, 
		func = equip,	
	},
       
        [455] = {
		name = "Charmander [40]", 
		desc = "Good pokemon.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 8, 
		ground = true, 
		fimage = "gfx/weiwen/charmander.png",  
		eimage = "gfx/weiwen/charmander.png",  
		speed = 30,
		def = 3.5,
		atk = 3.5,
		level = 40, 
		func = equip,	
	},

        [456] = {
		name = "Pikachu [60]", 
		desc = "Very good pokemon.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 8, 
		ground = true, 
		fimage = "gfx/weiwen/pikachu.png",  
		eimage = "gfx/weiwen/pikachu.png",  
		speed = 40,
		def = 4.5,
		atk = 4.5,
		level = 60, 
		func = equip,	
	},

        [457] = {
		name = "Poke [80]", 
		desc = "WTF pokemon.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 8, 
		ground = true, 
		fimage = "gfx/weiwen/poke.png",  
		eimage = "gfx/weiwen/poke.png",  
		speed = 50,
		def = 5.5,
		atk = 5.5,
		level = 80, 
		func = equip,	
	},

        [458] = {
		name = "Pidgeotto [100]", 
		desc = "WTF pokemon.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 8, 
		ground = true, 
		fimage = "gfx/weiwen/pidgeotto.png",  
		eimage = "gfx/weiwen/pidgeotto.png",  
		speed = 60,
		def = 6.5,
		atk = 6.5,
		level = 100, 
		func = equip,	
	},

        [459] = {
		name = "VIP BOW", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/admin_bow.png",
		fimage = "gfx/weiwen/admin_bow.png", 
		offsety = 9,
		equip = 34,
		atk = 7.5, 
		speed = 80, 
		level = 60,
		func = equip,
	},

        [460] = {
		name = "Tron helmet", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/tron_helm.png", 
		fimage = "gfx/weiwen/tron_helm.png", 
		def = 9.5, 
		speed = 1.5,
		level = 70, 
		func = equip,
	},
        
        [461] = {
		name = "Tron torso", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/tron_armour.png", 
		fimage = "gfx/weiwen/tron_farmour.png", 
		def = 40.0, 
		speed = 1.5,
		level = 70,
		func = equip,
	},

	[462] = {
		name = "Tron legs", 
		desc = "Very tron legs", 
		article = "a pair of", 
		r = 255, g = 255, b = 255,
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/tron_legs.png", 
		def = 6.5, 
		speed = 2.5,
                level = 70,
		func = equip,
	},

	[463] = {
		name = "Tron boots", 
		desc = "Very tron boots",
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/tron_boots.png",  
		speed = 50, 
                level = 70,
		func = equip,
	},
	        
        [464] = {
		name = "Tron bow", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/tron_bow.png",
		fimage = "gfx/weiwen/tron_bow.png", 
		offsety = 9,
		equip = 34,
		atk = 8.8, 
		speed = 50, 
		level = 70,
		func = equip,
	},
		
        [465] = {
		name = "Tron Wings", 
		desc = "Very Fast.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/tron_wings.png",  
		eimage = "gfx/weiwen/tron_wings.png",  
		speed = 65,
		def = 7.5,
		atk = 7.5,
		level = 70, 
		func = equip,	
	},

        [466] = {
		name = "Night helmet", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/night_helm.png", 
		fimage = "gfx/weiwen/night_helm.png", 
		def = 15.5, 
		speed = 5.5,
		level = 100, 
		func = equip,
	},
        
        [467] = {
		name = "Night torso", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/night_armor.png", 
		fimage = "gfx/weiwen/night_farmor.png", 
		def = 70.0, 
		speed = 5.5,
		level = 100,
		func = equip,
	},

	[468] = {
		name = "Night legs", 
		desc = "Very night legs", 
		article = "a pair of", 
		r = 255, g = 255, b = 255,
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/night_legs.png", 
		def = 15.5, 
		speed = 5.5,
                level = 100,
		func = equip,
	},

	[469] = {
		name = "Night boots", 
		desc = "Very night boots",
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/night_boots.png",  
		speed = 80, 
                level = 100,
		func = equip,
	},
	        
        [470] = {
		name = "Night bow", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/night_bow.png",
		fimage = "gfx/weiwen/night_bow.png", 
		offsety = 9,
		equip = 34,
		atk = 15.8, 
		speed = 70, 
		level = 100,
		func = equip,
	},
		
        [471] = {
		name = "Night Wings", 
		desc = "Very Fast.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/needlesepic.png",  
		eimage = "gfx/weiwen/needlesepic.png",  
		speed = 85,
		def = 10.5,
		atk = 10.5,
		level = 100, 
		func = equip,	
	},

        [472] = {
		name = "Black helmet", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 1, 
		eimage = "gfx/weiwen/pvphat.png", 
		fimage = "gfx/weiwen/pvphat.png", 
		def = 20.0, 
		speed = 10.0,
		level = 120, 
		func = equip,
	},
        
        [473] = {
		name = "Black torso", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 2, 
		eimage = "gfx/weiwen/pvparm.png", 
		fimage = "gfx/weiwen/pvpfarm.png", 
		def = 70.0, 
		speed = 5.5,
		level = 100,
		func = equip,
	},

	[474] = {
		name = "Black legs", 
		desc = "Very black legs", 
		article = "a pair of", 
		r = 255, g = 255, b = 255,
		action = "equip", 
		slot = 5, 
		fimage = "gfx/weiwen/pvplegs.png", 
		def = 20.0, 
		speed = 10.0,
                level = 120,
		func = equip,
	},

	[475] = {
		name = "Black boots", 
		desc = "Very black boots",
		article = "a pair of", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 6, 
		fimage = "gfx/weiwen/pvpboots.png",  
		speed = 100, 
                level = 120,
		func = equip,
	},
	        
        [476] = {
		name = "Black bow", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/pvpbow.png",
		fimage = "gfx/weiwen/pvpbow.png", 
		offsety = 9,
		equip = 34,
		atk = 20.0, 
		speed = 100, 
		level = 120,
		func = equip,
	},
		
        [477] = {
		name = "Black Wings", 
		desc = "Very Fast.", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 7, 
		ground = true, 
		water = true, 
		fimage = "gfx/weiwen/adminh2.png",  
		eimage = "gfx/weiwen/adminh2.png",  
		speed = 100,
		def = 20.0,
		atk = 20.0,
		level = 120, 
		func = equip,	
	},

        [478] = {
		name = "Opal", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 9, 
		twohand = false, 
		eimage = "gfx/weiwen/gluk.png",
		fimage = "gfx/weiwen/opal.png", 
		offsety = 9,
		level = 5,
		func = equip,
	},
       
        [479] = {
		name = "Horn bow", 
		r = 255, g = 255, b = 255, 
		action = "equip", 
		slot = 3, 
		twohand = false, 
		eimage = "gfx/weiwen/horncrossbow.png",
		fimage = "gfx/weiwen/horncrossbow.png", 
		offsety = 9,
		equip = 34,
		atk = 7.5, 
		speed = 20, 
		level = 60,
		func = equip,
	},

	[480] = {
		name = "carne", 
		desc = "Uma das melhores do mundo, friboi!", 
		action = "eat", 
		food = function() return math.random(25,50) end, 
		fimage = "gfx/weiwen/carne.png", 
		func = eat,
	},
	
	[1337] = {
		name = 'money', 
		article = 'some', 
		r = 0, g = 150, b = 0, 
		fimage = 'gfx/weiwen/money.png', 
	}
}
ITEMFUNCTIONS = {}
ITEMFUNCTIONS.teleport = ITEMS[105].teleport

for k, v in pairs(ITEMS) do
	v.article = v.article or "a"
	v.plural = v.plural or v.name .. "s"
	v.action = type(v.action) == "table" and v.action or {v.action}
	v.func = type(v.func) == "table" and v.func or {v.func}
end